The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Yum update broken after last upgrades

Discussion in 'General Discussion' started by whitewlf, May 23, 2007.

  1. whitewlf

    whitewlf Member

    Joined:
    Jan 14, 2006
    Messages:
    9
    Likes Received:
    0
    Trophy Points:
    1
    I was able to get all the rest of the packages updated, and get by some of the Imagemagick Image::Button compile errors, but, things are still seemingly broken since the last cpup updates.

    [/usr/lib]# yum update
    Loading "fastestmirror" plugin
    Setting up Update Process
    Setting up repositories
    Loading mirror speeds from cached hostfile
    Reading repository metadata in from local files
    Excluding Packages in global exclude list
    Finished
    Resolving Dependencies
    --> Populating transaction set with selected packages. Please wait.
    ---> Package MySQL-python.i386 0:1.2.1_p2-1.el4.1 set to be updated
    ---> Package dovecot.i386 0:0.99.11-8.EL4 set to be updated
    ---> Package perl-DBD-MySQL.i386 0:2.9004-3.1.centos4 set to be updated
    --> Running transaction check
    --> Processing Dependency: libmysqlclient.so.14 for package: perl-DBD-MySQL
    --> Processing Dependency: libmysqlclient.so.14 for package: dovecot
    --> Processing Dependency: libmysqlclient_r.so.14(libmysqlclient_14) for package: MySQL-python
    --> Processing Dependency: libmysqlclient.so.14(libmysqlclient_14) for package: dovecot
    --> Processing Dependency: libmysqlclient_r.so.14 for package: MySQL-python
    --> Finished Dependency Resolution
    Error: Missing Dependency: libmysqlclient.so.14 is needed by package perl-DBD-MySQL
    Error: Missing Dependency: libmysqlclient.so.14 is needed by package dovecot
    Error: Missing Dependency: libmysqlclient_r.so.14(libmysqlclient_14) is needed by package MySQL-python
    Error: Missing Dependency: libmysqlclient.so.14(libmysqlclient_14) is needed by package dovecot
    Error: Missing Dependency: libmysqlclient_r.so.14 is needed by package MySQL-python


    I have tried adding symbolic links, those do not work. I'm really at a loss, and this will hold up any further non-manual updates.

    checkperlmodules comes up clean now, though installimagemagick failed a few times (says installed ok now).

    I am running cpanel current, and mysql 5. Since mysql is excluded from yum, how can this dependency be resolved without mucking around installing a potentially damaging rpm of mysql next to/over the cpanel one?

    [/usr/lib]# rpm -qa|grep My
    MySQL-bench-5.0.27-0.glibc23
    MyODBC-2.50.39-25.RHEL4.1
    MySQL-client-5.0.27-0.glibc23
    MySQL-python-1.0.0-1.RHEL4.1
    MySQL-devel-5.0.27-0.glibc23
    MySQL-shared-5.0.27-0.glibc23
    MySQL-embedded-4.1.21-0.glibc23
    MySQL-server-5.0.27-0.glibc23
    perl-DBD-MySQL-2.9004-3.1

    [/usr/lib]# ls -l |grep libmy
    -rwxr-xr-x 1 root root 101720 May 2 15:26 libmyodbc-2.50.39.so*
    lrwxrwxrwx 1 root root 20 May 22 09:21 libmyodbc.so -> libmyodbc-2.50.39.so*
    lrwxrwxrwx 1 root root 26 Apr 26 19:48 libmysqlclient_r.so -> libmysqlclient_r.so.15.0.0*
    lrwxrwxrwx 1 root root 19 May 23 13:22 libmysqlclient_r.so.14 -> libmysqlclient_r.so*
    lrwxrwxrwx 1 root root 22 May 23 13:23 libmysqlclient_r.so.14.0.0 -> libmysqlclient_r.so.14*
    lrwxrwxrwx 1 root root 26 Apr 26 19:48 libmysqlclient_r.so.15 -> libmysqlclient_r.so.15.0.0*
    -rwxr-xr-x 1 root root 2176588 Nov 8 2006 libmysqlclient_r.so.15.0.0*
    lrwxrwxrwx 1 root root 24 Apr 26 19:48 libmysqlclient.so -> libmysqlclient.so.15.0.0*
    lrwxrwxrwx 1 root root 20 Apr 26 17:02 libmysqlclient.so.12 -> libmysqlclient.so.15*
    lrwxrwxrwx 1 root root 20 Apr 26 17:02 libmysqlclient.so.14 -> libmysqlclient.so.15*
    lrwxrwxrwx 1 root root 24 Apr 26 19:48 libmysqlclient.so.15 -> libmysqlclient.so.15.0.0*
    -rwxr-xr-x 1 root root 2160549 Nov 8 2006 libmysqlclient.so.15.0.0*
     
  2. Mysteerie

    Mysteerie Well-Known Member

    Joined:
    Dec 29, 2003
    Messages:
    129
    Likes Received:
    0
    Trophy Points:
    16
    Having this same issue, anyone resolved it?
     
  3. Mysteerie

    Mysteerie Well-Known Member

    Joined:
    Dec 29, 2003
    Messages:
    129
    Likes Received:
    0
    Trophy Points:
    16
    I figured out a solution (might be just temporary and if these packages need updating again, will probably have to get the new RPMS manually). Copy and paste the following in SSH (Use at your own risk):

    Code:
    rpm -Uvh --nodeps http://mirror.centos.org/centos-4/4.5/os/i386/CentOS/RPMS/dovecot-0.99.11-8.EL4.i386.rpm
    Code:
    rpm -Uvh --nodeps http://mirror.centos.org/centos-4/4.5/os/i386/CentOS/RPMS/MySQL-python-1.2.1_p2-1.el4.1.i386.rpm
    Code:
    rpm -Uvh --nodeps http://mirror.centos.org/centos-4/4.5/os/i386/CentOS/RPMS/perl-DBD-MySQL-2.9004-3.1.i386.rpm
     
  4. azuretek

    azuretek Member

    Joined:
    Oct 11, 2002
    Messages:
    23
    Likes Received:
    0
    Trophy Points:
    1
    I'm guessing this is some dependency issue with yum? Should this be reported to the repository maintainers for yum?

    I had the same problem and updating dovecot seems to have helped me.
     
    #4 azuretek, Oct 1, 2007
    Last edited: Oct 1, 2007
  5. Imago

    Imago Active Member

    Joined:
    Feb 21, 2004
    Messages:
    43
    Likes Received:
    0
    Trophy Points:
    6
    No module named logging

    I've got the same issue after the last cpup (WHM 11.11.0 cPanel 11.16.0-C18497
    CENTOS Enterprise 5 x86_64). As a result BIND and HTTPD do not start

    When running yum update it returns

    # yum update
    There was a problem importing one of the Python modules
    required to run yum. The error leading to this problem was:

    No module named logging

    Please install a package which provides this module, or
    verify that the module is installed correctly.

    It's possible that the above module doesn't match the
    current version of Python, which is:
    2.4.3 (#1, Mar 14 2007, 19:01:42)
    [GCC 4.1.1 20070105 (Red Hat 4.1.1-52)]

    If you cannot solve this problem yourself, please go to
    the yum faq at: http://wiki.linux.duke.edu/YumFaq
     
Loading...

Share This Page